cURL
curl --request GET \
--url https://api.clarionhealth.com/v1/eligibility \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clarionhealth.com/v1/eligibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clarionhealth.com/v1/eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"status": "completed",
"outcome": "success",
"coverage": {
"is_active_today": true,
"checked_date": "2023-12-25",
"plan_name": "Freedom Network",
"payer_name": "United Healthcare",
"patient_costs": [
{
"type": "deductible",
"network": "in_network",
"description": "$1500 deductible (individual) in-network per plan year",
"amount": "1500",
"coverage_level": "individual",
"time_period": "plan_year"
}
],
"group_number": "1234567890",
"member_id": "X12345678"
},
"created_at": "2023-11-07T05:31:56Z",
"customer_patient_id": "1234567890"
}
][]Verification of Benefits
List Eligibility Checks
Returns all eligibility checks for your organization. You can filter to find eligibility checks associated with a specific patient or status.
GET
/
eligibility
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter eligibility checks by the customer-provided patient identifier
Filter eligibility checks by status
Available options:
in-progress, completed, queued Maximum number of results to return. Defaults to 100, maximum is 1000.
Required range:
1 <= x <= 1000Response
List of eligibility checks

